ScanopyScanopy
Users

Update user permissions

Sets the user's role in the organization.

PUT
/api/v1/users/{id}/admin

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Path Parameters

id*string

User ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/admin" \  -H "Content-Type: application/json" \  -d '{    "email": "[email protected]",    "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",    "permissions": "Owner",    "site_ids": [      "ab580781-02e2-4a18-ac1b-8fc9be2f4ad4"    ]  }'
{
  "meta": {
    "api_version": 1,
    "server_version": "0.19.6"
  },
  "success": true,
  "data": {
    "email": "[email protected]",
    "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
    "permissions": "Owner",
    "site_ids": [
      "ab580781-02e2-4a18-ac1b-8fc9be2f4ad4"
    ],
    "display_settings": {
      "clock": "browser_default",
      "date_order": "browser_default",
      "table_density": "comfortable",
      "time_zone": null,
      "timestamps": "relative",
      "week_start": "monday"
    },
    "email_settings": {
      "discovery_digest": true,
      "daemon_alerts": true,
      "product_onboarding": true,
      "product_updates": true,
      "trial_and_usage": true
    },
    "email_verification_required": true,
    "email_verified": true,
    "has_password": true,
    "oidc_linked_at": "2019-08-24T14:15:22Z",
    "oidc_provider": "string",
    "terms_acceptance_required": true,
    "created_at": "2019-08-24T14:15:22Z",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "error": "string"
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.19.6"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.19.6"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}

Product names and logos are trademarks of their respective owners. See credits.